<!DOCTYPE html>
<html>
 <head>
  <meta charset="ISO-8859-1">
  <title>Veranstaltungskalender</title>

  <style>
  body {
   font-family: Verdana, Sans-Serif;
   font-size: 15px;
   margin: 5px;
  }
  </style>

 </head>
<body>

<h3>Veranstaltungskalender</h3>

<?php
/* Veranstaltungskalender, Terminkalender
* Veranstaltungen werden aufsteigend nach Datum angezeigt (aktuelle Veranstaltungen zuerst).
* Abgelaufene Veranstaltungen werden automatisch gelscht.
Webbausteine.de */

include "einstellungen.php";

// Veranstaltungen Anzeigen/Lschen
$zaehler = 0;
foreach ($veranstaltungen = array_slice(scanDir($events), 2) as $datei) {
 if (substr($datei, -4) == ".txt") {
  $datum = substr($datei, 0, 8);
  sscanf($datum, "%4s%2s%2s", $jahr, $monat, $tag);
  $hmu = array(0=>" (Heute)", 1=>" (Morgen)", 2=>" (bermorgen)");
  if ($datum >= date("Ymd")) {
   if (file_exists($events . $datei)) {
    echo '<h4>' . mb_convert_encoding(strftime("%A, %d %B %Y", mktime(0, 0, 0, $monat, $tag, $jahr)), "ISO-8859-1") .
    (in_array(($datum - date("Ymd")), array(0, 1, 2)) ? $hmu[($datum - date("Ymd"))] : "") .
     '</h4><p>' . nl2br(file_get_contents($events . $datei)) . '<br>';
    if ($VERANSTALTUNG_LINK == "ja") {
     echo '&raquo; <a href="anmeldung.php?anmeldung=' . $datum . '">Zur Veranstaltung anmelden</a></p>';
    }
   }
  }
  else if ($AUTODELETE == "ja") {
   // Veranstaltung lschen
   unlink($events . $datei);
   // Anmeldungen lschen
   if (file_exists($anmeldungen . $datei)) {
    unlink($anmeldungen . $datei);
   }
  }
 }
}
if (count($veranstaltungen) == 0) {
 echo '<p>Keine Veranstaltung vorhanden!</p>';
}
?>

</body>
</html>