<!DOCTYPE html>
<html>
 <head>
  <meta charset="ISO-8859-1">
  <title>Kalender</title>

  <style>
  body {
   font-family: Verdana, Sans-Serif;
   font-size: 15px;
  }

  table#tabelle {
   border-spacing: 5px;
   width: 250px;
  }

  table#tabelle th {
   background: Whitesmoke;
  }

  table#tabelle th, table#tabelle td {
   outline: solid 1px #E3E9EF;
  }

  /* Aktueller Tag */
  table#tabelle td strong {
   display: block;
   display: block;
   background: #FFFACD;
  }

  /* Link zur Veranstaltung */
  table#tabelle td a {
   display: block;
  }

  a:link, a:visited {
   color: #4169E1;
   text-decoration: None;
  }
  </style>

 </head>
<body>

<?php
/* Kalender fr Veranstaltungen
 - Webbausteine.de */

include "einstellungen.php";

$tag = isset($_GET["tag"]) ? $_GET["tag"] : date("j");
$monat = isset($_GET["monat"]) ? $_GET["monat"] : date("n");
$jahr = isset($_GET["jahr"]) ? $_GET["jahr"] : date("Y");
$jahr = (($monat < 1) ? $jahr-=1 : (($monat > 12) ? $jahr+=1 : $jahr));
$monat = (($monat < 1) ? 12 : (($monat > 12) ? 1 : $monat));

$monate = array(1 => "Januar", "Februar", "Mrz", "April", "Mai",
 "Juni", "Juli", "August", "September", "Oktober", "November", "Dezember");

echo '<table id="tabelle">
<caption><b> <a href="?monat=' . ($monat - 1) . '&amp;jahr=' . $jahr . '"> &lt; </a> ' . $monate[$monat] . '
 <a href="?monat=' . ($monat + 1) . '&amp;jahr=' . $jahr . '"> &gt; </a> &nbsp; 
 <a href="?jahr=' . ($jahr - 1) . '&amp;monat=' . $monat . '"> &lt; </a> ' . $jahr . '
 <a href="?jahr=' . ($jahr + 1) . '&amp;monat=' . $monat . '"> &gt; </a> </b></caption>
 <tr>  <th>Mo</th><th>Di</th><th>Mi</th><th>Do</th><th>Fr</th><th>Sa</th><th>So</th> </tr>
 <tr>';

$zelle = array("", "", "", "", "", "", "");
$zelle = array_splice(($zelle) ,0 , (date("w", mktime(0, 0, 0, $monat, 1, $jahr) - 1)));

for ($tag = 1; $tag <= (date("t", mktime(0, 0, 0, $monat, 1, $jahr))); $tag++) {
 $alink = ""; $aLink_ = "";
 $datei = $jahr . str_pad($monat, 2, "0", STR_PAD_LEFT) . str_pad($tag, 2, "0", STR_PAD_LEFT) . '.txt';
 if (file_exists($events . $datei)) {
  $alink = '<a href="?jahr=' . $jahr . '&amp;monat=' . $monat . '&amp;details=' . $datei . '">'; $aLink_ = '</a>';
 }
 
 $zelle[] = (($tag == date("j") && $monat == date("n") && $jahr == date("Y")) ?
 '<strong>' . $alink . $tag . $aLink_ . '</strong>' : $alink . $tag . $aLink_);
}

foreach ($zelle as $zaehler => $inhalt) echo '  <td>' . $inhalt . '</td>' . ((($zaehler+ 1) % 7) ? '' : ' </tr> <tr>');
echo '</tr></table>';

if (isset($_GET["details"])) {
 sscanf($_GET["details"], "%4s%2s%2s", $jahr, $monat, $tag);
 echo '<h4>' . mb_convert_encoding(strftime("%A, %d %B %Y", mktime(0, 0, 0, $monat, $tag, $jahr)), "ISO-8859-1") . '</h4>' .
 '</h4><p>' . nl2br(file_get_contents($events . $_GET["details"])) . '</p>';
 if ($VERANSTALTUNG_LINK == "ja" && "$jahr$monat$tag" >= date("Ymd")) {
  echo '&raquo; <a href="anmeldung.php?anmeldung=' . substr($_GET["details"], 0,  -4) . '">Zur Veranstaltung anmelden</a></p>';
 }
}
?>

</body>
</html>